@charset "UTF-8";

html{
    width: 100%;
    height: 100%;
}

body{
    width: 100%;
    height: 100%;
    margin: 0;
    background: url("./img2/background.jpg") no-repeat center center/cover;
}
.page {
    width: 100%;
    height: 100%;
}

div {
    -moz-user-select: none;
    user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
}

#map-container {
    width: 100%;
    height: 100%;
    position: absolute!important;
}

.content-top {
    height: 90px;
    width: 100%;
    display: flex;
    background: url("./img2/topBackground.png") no-repeat center center/cover;
    position: relative;
    margin-bottom: 20px;
}

.content-top-left {
    display: flex;
    margin-left: 120px;
}

.dateRange {
    height: 35px;
    line-height: 35px;
    text-align: center;
    margin-top: 20px;
    width: 85px;
    cursor: pointer;
    color: #6494E2;
    background: url("./img2/revenueSelect.png") no-repeat center center/cover;
 /*   background: linear-gradient( 90deg, rgba(0,90,255,0.4) 0%, rgba(0,74,255,0.1) 100%), radial-gradient( 232% 58% at 64% 0%, rgba(0,156,255,0.3) 0%, rgba(0,77,255,0) 100%), radial-gradient( 232% 58% at 63% 100%, rgba(0,95,255,0.3) 0%, rgba(0,77,255,0) 100%), rgba(0,20,60,0.8);
    border: 1px solid;
    border-image: linear-gradient(90deg, rgba(0, 132, 255, 1), rgba(0, 213, 255, 1)) 1 1;*/
    font-size: 1rem;
}

.dateRange:hover{
    color: white;
    background: url("./img2/revenueSelect2.png") no-repeat center center/cover;
}

.dateRange.active {
    background: url("./img2/revenueSelect2.png") no-repeat center center/cover;
    color: white;
}

.content-top-right {
    display: flex;
    float: right;
    width: 300px;
    padding-top: 15px;
}

.content-top-center {
    flex: 1;
    justify-content: center;
    display: flex;
    padding-top: 24px;
    padding-right: 102px;
    font-family: SourceHanSansCN, SourceHanSansCN;
    font-weight: 800;
    font-size: 36px;
    color: #FFFFFF;
    line-height: 54px;
    text-align: left;
    font-style: normal;
}
#currentDate {
    font-family: Roboto, Roboto;
    font-weight: 300;
    font-size: 15px;
    color: rgba(255,255,255,0.9);
    line-height: 19px;
    text-align: center;
    font-style: normal;
    text-transform: none;
    padding-top: 15px;
}
#currentDateTime {
    margin-left: 10px;
    font-family: Roboto, Roboto!important;
    font-weight: 900;
    font-size: 20px;
    color: #01E1FF;
    line-height: 22px;
    text-align: right;
    font-style: italic;
    text-transform: none;
    padding-top: 12px;
}
#changeVehicleType {
    width: 25px;
    height: 25px;
    background: url("./img2/setting.png") no-repeat ;
    background-size: 100% 100%;
    line-height: 30px;
    margin-top: 10px;
    margin-left: 45px;
    cursor: pointer;
}
.content-body {
    width: calc((100% - 20px));
    display: flex;
    float: left;
    position: relative;
    height: calc((100% - 130px));
    flex-direction: row;
    margin-left: 10px;
}
.content-body-left {
    width: calc((100%)*1/3);
    display: flex;
    float: left;
    position: relative;
    height: 100%;
    flex-direction: column;
    margin-left: 10px;
    margin-right: 16px;
}
.content-body-right {
    width: calc((100%)*2/3);
    display: flex;
    float: right;
    position: relative;
    height: 100%;
    flex-direction: column;
    margin-right: 10px;
}


.echart-top {
    background: url("./img2/leftBackground.png") no-repeat center center/cover;
    display: flex;
    flex: 1;
}

.echart-topEx {
    display: flex;
    flex: 1;
    background: rgba(47, 101, 185, 0.8);
    box-shadow: 0px 0px 24px 8px rgba(0,0,0,0.2), 0px 0px 15px 0px rgba(0,0,0,0.3), inset 0px 0px 10px 2px rgba(205,246,255,0.27);
    border-radius: 5px;
    height: calc((100% - 20px)*2/3);
    margin-bottom: 10px;
}

.echart-center {
    display: flex;
    flex: 1;
    margin-top: 16px;
    margin-bottom: 16px;
    flex-direction: column;
    background: url("./img2/minBackground.png")no-repeat;
    background-size: 100% 100%;
}

.echart-bottom {
    display: flex;
    flex: 1;
    flex-direction: column;
}
.content-body-right-top{
    display: flex;
    flex: 1;
    flex-direction: column;
    background: url("./img2/maxBackground.png")no-repeat;
    background-size: 100% 100%;
}

.content-body-left .echart-bottom {
    background: url("./img2/minBackground.png")no-repeat;
    background-size: 100% 100%;
}

.echart-bottomEx .echart-bottom {
    background: url("./img2/minBackground.png")no-repeat;
    background-size: 100% 100%;
}

.echart-bottomEx {
    display: flex;
    flex-direction: column;
    height: calc((100% - 20px)*1/3);
}



label,input {
    cursor: pointer;
}

.base_left {
    display: flex;
    width: 50%;
    flex-direction: column;
    flex: 1;
}
.base_right {
    display: flex;
    width: 50%;
    flex-direction: column;
}

.base_info_row {
    display: flex;
    position: relative;
    height: calc((100%)*1/3);
    flex-direction: column;
    justify-content: center;
}
.base_info_label {
    margin-left: 20px;
    font-size: 12px;
    font-family: HelveticaNeue;
    font-weight: 400;
    color: #FFFFFF;
    line-height: 30px;
    text-shadow: 0px 0px 6px rgba(30,121,255,0.8);
    position: relative;
}
.base_info_value {
    margin-left: 20px;
    font-size: 22px;
    font-family: Roboto-BlackItalic;
    color: #FFFFFF;
    line-height: 24px;
    text-shadow: 0px 1px 2px rgba(7,44,137,0.5);
    background: linear-gradient(180deg,#FFFFFF 0,#D4F1FF 41%,#3CC1FF 67%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    font-weight: 900;
    font-style: italic;
    padding-right: 2px;
}

.label_right {
    margin-right: 20px;
    margin-left: 0px!important;
    text-align: right;
}


.echart-top-content {
    display: flex;
    flex: 1;
    flex-direction: column;
}
.echart-top-head {
    height: 35px;
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
}


#changeVehicleLi {
    width: 150px;
    position: absolute;
    height: 100px;
    right: 3px;
    z-index: 222;
    top: 60px;
    box-shadow: inset 0px 0px 20px 4px rgba(79, 162, 255, 0.6);
    background-color: rgba(0, 15, 43, 0.6);
}

#changeVehicleLi label {
    font-size: 12px;
    font-family: HelveticaNeue;
    color: #FFFFFF;
    line-height: 14px;
}
.changeVehicleRow {
    margin-top: 10px;
    margin-left: 5px;
}

.echart-title {
    font-size: 18px;
    font-family: SourceHanSansCN-Heavy, SourceHanSansCN;
    font-weight: 800;
    color: #FFFFFF;
    line-height: 27px;
    margin: 0 0 0 20px;
    flex: 1;
}
.summaryData {
    background: url("./img2/leftTitle.png") no-repeat center center/cover;
    width: 355px;
    display: flex;

}
.summaryDataTitle{
    padding-left: 75px;
    font-family: SourceHanSansCN-Heavy, sans-serif;
    font-weight: 800;
    font-size: 18px;
    color: #FFFFFF;
    line-height: 30px;
    text-shadow: 0 0 12px rgba(23,213,255,0.6);
    font-style: normal;
}
.echart-head {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 28px;
    margin-top: 10px;
}

.choiceli_ul {
    display: flex;
    flex-direction: row;
    margin-right: 10px;
}
.choiceli_ul div {
    width: 25px;
    height: 28px;
    color: #A7B7CE;
    justify-content: center;
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 12px;

}
 .choiceli_ul .bad,.choiceli_ul .good  {
    width: 28px;
    height: 28px;
    color: #A7B7CE;
    justify-content: center;
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 12px;
 /*   background: linear-gradient( 90deg, rgba(0,90,255,0.4) 0%, rgba(0,74,255,0.1) 100%), radial-gradient( 232% 58% at 64% 0%, rgba(0,156,255,0.3) 0%, rgba(0,77,255,0) 100%), radial-gradient( 232% 58% at 63% 100%, rgba(0,95,255,0.3) 0%, rgba(0,77,255,0) 100%), rgba(2,12,31,0.8);
    border: 1px solid;
    border-image: linear-gradient(90deg, rgba(0, 213, 255, 1), rgba(0, 132, 255, 1)) 1 1;*/
}


/* .choiceli_ul .bad.active {
    background: linear-gradient( 270deg, rgba(0,250,253,0.3) 0%, rgba(0,107,227,0.9) 66%, #0053DF 100%);
    border: 1px solid;
    border-image: linear-gradient(270deg, rgba(255, 255, 255, 1), rgba(0, 126, 250, 1)) 1 1;
    backdrop-filter: blur(0.5333333333333333px);
    color: #FFF;
}
.choiceli_ul .good.active {
    background: linear-gradient( 270deg, #0053DF 0%, rgba(0,107,227,0.9) 66%, rgba(0,250,253,0.3) 100%);
    border: 1px solid;
    border-image: linear-gradient(270deg,rgba(0, 126, 250, 1),  rgba(255, 255, 255, 1)) 1 1;
    backdrop-filter: blur(0.5333333333333333px);
    color: #FFF;
}*/

.chart-content {
    display: flex;
    flex: 1;
    justify-content: center;
}
.chart {
    width: calc(100% - 40px);
    height: calc(100% - 10px);
    position: relative;
}
.chartFull {
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    position: relative;
}
.chartVehicleTypeLabel {
    width: 50px !important;
}

.chartVehicleTypeLabel.active{
    color: white;
}
.vehicleTypeLeft{
    background: url("./img2/leftSet.png") no-repeat;
    background-size: 100% 100%;
    height: 28px;
}
.vehicleTypeRight{
    background: url("./img2/rightSet.png") no-repeat;
    background-size: 100% 100%;
    height: 28px;
}

.vehicleRankingLeft{
    background: url("./img2/low.png") no-repeat;
    background-size: 100% 100%;
    height: 28px;
}

.vehicleRankingRight{
    background: url("./img2/tall.png") no-repeat;
    background-size: 100% 100%;
    height: 28px;
}
.base_left .base_info_row:first-child,
.base_right .base_info_row:first-child{
    top: -10px;
}
.base_left .base_info_row:last-child,
.base_right .base_info_row:last-child{
    top: 3px;
}

.dateRange.dateRangeEn {
    background: url("./img2/enTopSelect.png") no-repeat center center/cover;
    font-size: 14px;
    width: 118px;
}

.dateRange.dateRangeEn:hover{
    background-color: #0E5DF9;
    color: white;
    background: url("./img2/enTopNoSelect.png") no-repeat center center/cover;
}
.dateRange.dateRangeEn.active {
    background-color: #0E5DF9;
    color: white;
    background: url("./img2/enTopNoSelect.png") no-repeat center center/cover;
}
.content-top-center.content-top-centerEn{
    padding: 24px 160px 0 0;
    font-size: 28px;
}
.echart-title.echart-titleEn{
    font-size: 16px;
}
.echart-head .choiceli_ul .chartVehicleTypeLabel,.echart-top .choiceli_ul .chartVehicleTypeLabel {
    width: 50px !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 28px;
    display: block;
    text-align: center;
}